{% extends 'form.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}

{% block pageTitle 'Ajout d\'un utilisateur' %}

{% block pageActions %}
    {{ macro.backButton('user_index') }}
{% endblock %}

{% block pageForm %}
    {{ form_start(form) }}

    {{ form_row(form.gender) }}
    {{ form_row(form.firstName) }}
    {{ form_row(form.lastName) }}

    {{ form_label(form.username) }}

    <div class="d-flex mb-3 justify-content-start">
        {{ form_widget(form.username) }}
        <div class="form-control borderless">
            <b class="text-ls-dark">@{{ suffix }}</b>
        </div>
    </div>

    {{ form_help(form.username) }}
    {{ form_row(form.email) }}
    {{ form_row(form.phone) }}
    {{ form_row(form.role) }}


    <div id="actor-info" class="d-none">
        {{ form_row(form.party) }}
        {{ form_row(form.locality) }}
        {{ form_row(form.title) }}
        {{ form_row(form.deputy) }}
    </div>

    {{ form_row(form.isActive) }}

    <div id="passwordInitGroup">
        {{ form_row(form.initPassword) }}
    </div>

    <div id="passwordGroup" class="d-none">
        {{ form_row(form.plainPassword) }}
    </div>

    {{ form_widget(form) }}
    <div class="float-end">
        {% block pageSaveReturn %}
            {{ macro.save('user_index', {}, 'Ajouter l\'utilisateur', 'fa fa-plus-circle') }}
        {% endblock %}
    </div>
    {{ form_end(form) }}
{% endblock %}

{% block javascripts %}
    {{ encore_entry_script_tags('create-user') }}
    {{ encore_entry_script_tags('showPasswordEntropy') }}
    {{ encore_entry_script_tags('setPasswordUser') }}
{% endblock %}
